This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 24506 - Internal compiler error using nested function and variable length array
Internal compiler error using nested function and variable length array
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-21 11:18 EST by Alex Selby
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-21 13:35:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Selby 2001-01-21 11:18:51 EST
Compiling this

int b;
void pl()
{
  int p(int t[b]){
  }
}

using gcc-2.96-69 and the command

gcc -c fred.c

gives this output

fred.c: In function `p':
fred.c:4: Internal compiler error in expand_expr, at expr.c:6179
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
Comment 1 Jakub Jelinek 2001-02-14 09:14:03 EST
Should be fixed in gcc-2.96-75.

Note You need to log in before you can comment on or make changes to this bug.